AOZ Studio Beta - Bug #1074

Searching for included files which are not in use when transpiling. (Windows/Mac).
01/17/2023 08:48 AM - malcolm harvey
Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

It seams quite at random this can happen, more often than not, if you put a folder under your application, eg: in this case, for
example, | put an include folder in there which was not there before, with .aoz files and .aozinc files in it, and you then click to
preview it, in the viewer, it can randomly bring up 70 messages say or more when transpile complete, searching yellow files looking
for your code instructions or labels with gosub routines under them, even though | have not even included any of the .aoz or .aozinc
file in my code. ie: | have not specified to include them at all, it just for whatever searches them regardless and brings up warnings in
the message window.

You can see from the screenshots, that the first one transpiled ok which did not have the included folder in it and executed and ran
the preview window ok, and no errors in the message pane.

The second screenshot, transpiled and executed the viewer as well, but you can see it contained many yellow error messages in the
message pane.

It goes of looking in these files below. See all my notes on discord below. Happens on windows and mac in U38 currently.

It can cause alot of the time the transpiler to abort the run or stop prematurely).
(amiga.aoz,bobs.aoz,colours.aoz,dialogs.aoz.filesystem.aoz,keyboard_and_mouse.aoz,menus.aoz,rexx.aoz,speech.aoz,system.aoz
,fracker.aoz). See my other notes on this previously in discord for more infomation on all this and other screenshots etc.

Something that did not happen at all, previous version of aoz when transpiling.
https://discord.com/channels/653893653940404224/707482106313441350/1063207610494500894

and
https://discord.com/channels/653893653940404224/707482106313441350/1059255263053488149

2) | found out as well why also the viewer does not work at times in (Amiga mode) on windows.

It is because of the trackker.xm files now or possibly and as well music.wav files now sitting in assets folder, again not being used in
the actual code, but the fact that they are sitting there, caused it to just again bring up a blank message window after transpile if
using the viewer only and not execute and run.

Also the same on the Mac(Amiga mode) would not run because of simply other files sitting in folders again filesystem/application or
assets. (.aoz and .aozinc files sitting in an include folder).
As soon as | removed these other folders | had in there it transpiled and open the viewer ok as well.

So it seams the transpiler on windows and mac is looking at all files in all subfolders now regardless, in the root of your application
and also in the assets and filesystem/application folder and whatever other files might be in there or in its subfolders, and if it finds a
file in there not in your code, ramdonly, (im envisioning is all | can think its doing), it goes searching internally in aoz files or whatever
other files the transpiler looks in when its working and if not found it just aborts and stops with a blank message pane.

History

#1 - 01/17/2023 08:49 AM - malcolm harvey

- Subject changed from Searching for included files which are not in use when transpiling. (Windows/Amc). to Searching for included files which are
not in use when transpiling. (Windows/Mac).

#2 - 01/17/2023 09:06 AM - malcolm harvey

3)Also If your including a file eg:, Include "includes/variables.xxx" and its not in
that path, it just stops and pops up with a blank message window pane.
Currently does not tell you anything is missing or wrong.

In general tho if u specify a wrong filename, it should say, "File not found at line num".

It used to do this, again from what | see it just stops with a blank message pane now.
So yes making it very difficult to know what is wrong. This would help alot. Thx
https://discord.com/channels/653893653940404224/707482106313441350/1063207610494500894
https://discord.com/channels/653893653940404224/707482106313441350/1059255263053488149

#3 - 01/20/2023 09:28 AM - malcolm harvey

re: Testing yellow errors again. Oddly today again | tested this again (Too see if yellow errors), (Amiga) mode manifest, and it transpilled in the viewer
and executed ok, but then there was 142 yellow warrning errors looking in internal .aoz files (as below again). | then transpiled again in full screen
browser and no yellow errors. So seams to be moreso transpiling for the viewer.

Again yellow files below that it thinks are my errors, but | have no errors in code at all. (False errors).
(amiga.aoz,bobs.aoz,colours.aoz,dialogs.aoz,filesystem.aoz,keyboard_and_mouse.aoz,menus.aoz,rexx.aoz,speech.aoz,system.aoz,tracker.aoz).

#4 - 01/20/2023 10:22 AM - malcolm harvey

malcolm harvey wrote in #note-3:

re: Testing yellow errors again. Oddly today again | tested this again (Too see if yellow errors), (Amiga) mode manifest, and it transpilled in the
viewer and executed ok, but then there was 142 yellow warrning errors looking in internal .aoz files (as below again). | then transpiled again in
full screen browser and no yellow errors. So seams to be moreso transpiling for the viewer.

Again yellow files below that it thinks are my errors, but | have no errors in code at all. (False errors).
(amiga.aoz,bobs.aoz,colours.aoz,dialogs.aoz,filesystem.aoz,keyboard_and_mouse.aoz,menus.aoz,rexx.aoz,speech.aoz,system.aoz,tracker.aoz

)-

Again as above in point 2), | found that | had simply but too extra files in the assets folder, cb.mp3 and items.sprite, which were not used in my code.
As soon as | removed these the yellow warning errors went away. So yes defiantly other files in assets or filesystem/application folder either in the
root of those folder or in a subfolder under them will cause yellow error warnings for no reason.

#5 - 01/20/2023 10:40 AM - malcolm harvey

- Assignee changed from AOZ Studio Team to Francois Lionet

#6 - 02/05/2023 12:11 PM - malcolm harvey
- File e8e0d671-095f-4d3f-a08d-5f6edeef2162.png added

One last example here..

Tried it again today, definitely that yellow warning issue is pretty consistant even on the mac, here we see transpiling (to the viewer) mac, something
with actually no errors (in the code) but it pops up looking at labels and instructions that it should not be doing.

If you re-run this again the warnings can go away but then it stops prematurely, if you change then to transpiling to the full screen browser, it then will
transpile ok and run fine.

This again relates all to the same tickets for U38. 1070/1074.

This type of thing can happen in both windows and mac.

If you look at this screenshot it the line 62 says, Priority on and line 84 is just a label called roomdesc: but yet it goes of looking for these things in the
yellow files incorrectly. (Does seam again more to do with the viewer, as above). It can also happen not only in amiga manifest mode but also on aoz
manifest mode.

Note: If you do get it to transpile at all in the viewer and no errors, it will simply end but then the message windows pops up blank, thats it.

#7 - 04/11/2023 08:00 AM - malcolm harvey

Same issue with U43.

#8 - 04/13/2023 01:11 AM - malcolm harvey

- Status changed from New to Closed

Il close this ticket for now, as in u43, it seams to work unless putting multiple files of the same name with a diff ext in the filesystem/application folder,
but this should not be done anyways as for now it clashes in aoz.

Files

Screenshot 2023-01-17 at 5.11.32 pm.png 435 KB 01/17/2023 malcolm harvey
Screenshot 2023-01-17 at 5.17.56 pm.png 441 KB 01/17/2023 malcolm harvey
e8e0d671-095f-4d3f-a08d-5f6edeef2162.png 356 KB 02/05/2023 malcolm harvey
